## qubes-ansible-vm 1.2.1

=== debian/changelog ===
qubes-ansible-vm (1.2.1-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 02 Sep 2025 12:28:53 +0200

qubes-ansible-vm (1.2.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: add VM jobs

  [ Guillaume Chinal ]
  * update builder config for debian and arch
  * use makefile
  * debian packaging
  * archlinux packaging
  * rpm in rpm_spec dir
  * add make as buildrequires

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 02 Sep 2025 12:28:53 +0200

qubes-ansible-vm (1.2.0-1) unstable; urgency=medium

  * Initial release

 -- Guillaume Chinal <guiiix@invisiblethingslab.com>  Mon, 1 Sep 2025 00:13:54 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DESTDIR=$(shell pwd)/debian/tmp

%:
	dh $@

override_dh_auto_install:
	make install-common
	make install-vm

## qubes-ansible-vm 1.2.7

=== Makefile ===
VERSION := $(shell cat version)

install-common:
	mkdir -p $(DESTDIR)/usr/share/ansible/plugins/connection
	mkdir -p $(DESTDIR)/usr/share/ansible/plugins/modules
	install -m 644 plugins/modules/qubesos.py $(DESTDIR)/usr/share/ansible/plugins/modules/qubesos.py
	install -m 644 plugins/connection/qubes.py $(DESTDIR)/usr/share/ansible/plugins/connection/qubes.py

install-dom0:
	mkdir -p $(DESTDIR)/usr/lib/qubes/
	mkdir -p $(DESTDIR)/usr/share/ansible/plugins/callback
	mkdir -p $(DESTDIR)/usr/share/ansible/plugins/strategy
	install -m 644 plugins/callback/qubesos_strategy_guard.py $(DESTDIR)/usr/share/ansible/plugins/callback/qubesos_strategy_guard.py
	install -m 644 plugins/strategy/qubes_proxy.py $(DESTDIR)/usr/share/ansible/plugins/strategy/qubes_proxy.py
	install -m 755 update-ansible-default-strategy $(DESTDIR)/usr/lib/qubes/update-ansible-default-strategy

install-tests:
	mkdir -p $(DESTDIR)/usr/share/ansible/tests/qubes
	install -m 644 tests/qubes/*.py $(DESTDIR)/usr/share/ansible/tests/qubes/
	install -m 644 tests/*.cfg $(DESTDIR)/usr/share/ansible/tests/

install-vm:
	mkdir -p $(DESTDIR)/etc/qubes-rpc/
	install -m 755 qubes-rpc/qubes.AnsibleVM $(DESTDIR)/etc/qubes-rpc/qubes.AnsibleVM

install-all: install-common install-dom0 install-tests install-vm

## qubes-ansible-vm 1.2.2

=== debian/changelog ===
qubes-ansible-vm (1.2.2-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 19 Sep 2025 03:18:25 +0200

qubes-ansible-vm (1.2.2-1) unstable; urgency=medium

  [ Guillaume Chinal ]
  * update tests to use debian-13-xfce

  [ TheVamp ]
  * fix group_vars crash using DataLoader as default
  * optimize group_vars loop
  * use AnsibleDumper to create host_vars and group_vars files
  * generate inventory for DispVM dynamic
  * move inventory args to qubes.AnsibleVM
  * fix for cloning AppVM with AppVM as Template
  * fix to pass tests
  * add test cases for create/cloning based on vmtype combinations
  * add missing assignment
  * simplify condition
  * fix tests

  [ Marek Marczykowski-Górecki ]
  * Format with black

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 19 Sep 2025 03:18:25 +0200

=== debian/control ===
Source: qubes-ansible-vm
Section: admin
Priority: optional
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Homepage: https://www.qubes-os.org/

Package: qubes-ansible-vm
Architecture: any
Depends:
 ansible,
 ${python3:Depends},
 ${misc:Depends}
Description: qubes-ansible RPC script to run Ansible on a disposable VM

## qubes-ansible-vm 1.2.3

=== debian/changelog ===
qubes-ansible-vm (1.2.3-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Wed, 08 Oct 2025 05:20:09 +0200

qubes-ansible-vm (1.2.3-1) unstable; urgency=medium

  [ Guillaume Chinal ]
  * disp mgmt qube should be internal
  * build a merged view of all host variables
  * use AnsibleDumper to write the playbook
  * add tests for qubes_proxy
  * qvm-run must use --no-gui
  * stop Ansible execution if proxy is not used
  * update readme
  * set qubes group on policies files

  [ Marek Marczykowski-Górecki ]
  * Fix handling yaml inventory

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 08 Oct 2025 05:20:09 +0200

## qubes-ansible-vm 1.2.4

=== debian/changelog ===
qubes-ansible-vm (1.2.4-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 10 Oct 2025 15:37:48 +0200

qubes-ansible-vm (1.2.4-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Qube Notes
  * Make features directly accessible

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Oct 2025 15:37:48 +0200

## qubes-ansible-vm 1.2.5

=== debian/changelog ===
qubes-ansible-vm (1.2.5-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 15 Nov 2025 14:47:35 +0100

qubes-ansible-vm (1.2.5-1) unstable; urgency=medium

  [ Guillaume Chinal ]
  * wait for domain-shutdown event when stopping VMs
  * dom0 plays should be executed on current host

  [ Simon Gaiser ]
  * debian: add missing dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Nov 2025 14:47:35 +0100

## qubes-ansible-vm 1.2.6

=== debian/changelog ===
qubes-ansible-vm (1.2.6-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 25 Nov 2025 19:44:31 +0100

qubes-ansible-vm (1.2.6-1) unstable; urgency=medium

  * Fix updating tags, features etc even if no properties are changed
  * Support '*default*' special value for all properties
  * Do not change devices if not requested

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Nov 2025 19:44:31 +0100

## qubes-ansible-vm 1.2.7

=== debian/changelog ===
qubes-ansible-vm (1.2.7-1+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 14:25:34 +0000

qubes-ansible-vm (1.2.7-1) unstable; urgency=medium

  * One more fix for not changing devices unless requested

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Nov 2025 03:25:09 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Architecture: any
 Depends:
  ansible,
+ qubes-core-admin-client,
  ${python3:Depends},
  ${misc:Depends}
 Description: qubes-ansible RPC script to run Ansible on a disposable VM

## qubes-ansible-vm 1.2.8

=== debian/changelog ===
qubes-ansible-vm (1.2.8-1+deb13u1+devel3) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Sun, 11 Jan 2026 18:52:09 +0000

qubes-ansible-vm (1.2.8-1) unstable; urgency=medium

  [ TheVamp ]
  * fix doc + add test
  * add missing parts of the documentation
  * fix test
  * fix test

  [ networkjanitor ]
  * add creation of DispVM guests

  [ Marek Marczykowski-Górecki ]
  * Keep netvm as really default if default was requested

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Jan 2026 19:13:09 +0100
